AOMedia AV1 Codec: CommonTileParams Struct Reference

| AOMedia AV1 Codec

Data Fields
CommonTileParams Struct Reference

Params related to tiles. More...

`#include <av1_common_int.h>`

## Data Fields
int | cols
int | rows
int | max_width_sb
int | max_height_sb
int | min_inner_width
int | uniform_spacing
int | min_log2_cols
int | min_log2_rows
int | max_log2_cols
int | max_log2_rows
int | min_log2
int | col_start_sb [MAX_TILE_COLS+1]
int | row_start_sb [MAX_TILE_ROWS+1]
unsigned int | large_scale
unsigned int | single_tile_decoding
Members only valid when uniform_spacing == 1
int | log2_cols
int | log2_rows
int | width
int | height

## Detailed Description

Params related to tiles.

## Field Documentation

## ◆ cols

int CommonTileParams::cols

number of tile columns that frame is divided into

Referenced by av1_encode_sb_row(), av1_encode_tile(), encode_frame_internal(), encode_rd_sb(), and encode_tiles().

## ◆ rows

int CommonTileParams::rows

number of tile rows that frame is divided into

Referenced by encode_frame_internal(), encode_rd_sb(), and encode_tiles().

## ◆ max_width_sb

int CommonTileParams::max_width_sb

maximum tile width in superblock units.

## ◆ max_height_sb

int CommonTileParams::max_height_sb

maximum tile height in superblock units.

## ◆ min_inner_width

int CommonTileParams::min_inner_width

Min width of non-rightmost tile in MI units. Only valid if cols > 1.

## ◆ uniform_spacing

int CommonTileParams::uniform_spacing

If true, tiles are uniformly spaced with power-of-two number of rows and columns. If false, tiles have explicitly configured widths and heights.

## ◆ log2_cols

int CommonTileParams::log2_cols

log2 of 'cols'.

## ◆ log2_rows

int CommonTileParams::log2_rows

log2 of 'rows'.

## ◆ width

int CommonTileParams::width

tile width in MI units

## ◆ height

int CommonTileParams::height

tile height in MI units

## ◆ min_log2_cols

int CommonTileParams::min_log2_cols

Min num of tile columns possible based on 'max_width_sb' and frame width.

## ◆ min_log2_rows

int CommonTileParams::min_log2_rows

Min num of tile rows possible based on 'max_height_sb' and frame height.

## ◆ max_log2_cols

int CommonTileParams::max_log2_cols

Max num of tile columns possible based on frame width.

## ◆ max_log2_rows

int CommonTileParams::max_log2_rows

Max num of tile rows possible based on frame height.

## ◆ min_log2

int CommonTileParams::min_log2

log2 of min number of tiles (same as min_log2_cols + min_log2_rows).

## ◆ col_start_sb

int CommonTileParams::col_start_sb[MAX_TILE_COLS+1]

col_start_sb[i] is the start position of tile column i in superblock units. valid for 0 <= i <= cols

## ◆ row_start_sb

int CommonTileParams::row_start_sb[MAX_TILE_ROWS+1]

row_start_sb[i] is the start position of tile row i in superblock units. valid for 0 <= i <= rows

## ◆ large_scale

unsigned int CommonTileParams::large_scale

If true, we are using large scale tile mode.

Referenced by av1_encode_frame(), and encode_frame_to_data_rate().

## ◆ single_tile_decoding

unsigned int CommonTileParams::single_tile_decoding

Only relevant when large_scale == 1. If true, the independent decoding of a single tile or a section of a frame is allowed.

Referenced by encode_frame_to_data_rate().

The documentation for this struct was generated from the following file:

- av1/common/av1_common_int.h